Bug 53509 - Maintain-update of x11-wm/pekwm
Maintain-update of x11-wm/pekwm
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 20:10 UTC by anders
Modified: 2003-06-26 08:13 UTC (History)
0 users

See Also:


Attachments
file.diff (187 bytes, patch)
2003-06-19 20:10 UTC, anders
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description anders 2003-06-19 20:10:19 UTC
	Update to make portlint happy. Also make pekwm author happy
	while doing what he suggests in
	http://pekwm.org/cgi-bin/cvsweb/babblica/pekwm/PACKAGERS

	patch-aa fixes a hardcoded bug to pkill and replaces that with
	killall(1)
	(Note: Please do not forget to add files/patch-aa)

Fix: --- patch-aa ---

[anders@sushi pekwm]$ cat files/patch-aa 


-	system("pkill -HUP pekwm"); # Make pekwm re-read it's config
+	system("killall -HUP pekwm"); # Make pekwm re-read it's config
 }--iYRfwOAA9LhG968RnSkc8zUNO86wEAvtdnaziEg6otOM7GTb
Content-Type: text/plain; name="pekwm.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="pekwm.diff"

Index: pekwm/Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-wm/pekwm/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- pekwm/Makefile	19 Jun 2003 11:31:14 -0000	1.7
+++ pekwm/Makefile	19 Jun 2003 15:38:35 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	pekwm
 PORTVERSION=	0.1.3
+PORTREVISION=	1
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://pekwm.pekdon.net/files/source/
 
@@ -18,30 +19,9 @@
 USE_GMAKE=	yes
 USE_BZIP2=	yes
 
-.if defined(WITH_XINERAMA)
-CONFIGURE_ARGS+=	--enable-xinerama
-.endif
-
-.if defined(WITH_HARBOUR)
-CONFIGURE_ARGS+=	--enable-harbour
-.endif
-
-.if defined(WITH_PCRE)
-CONFIGURE_ARGS+=       --enable-pcre
-CONFIGURE_ENV= LDFLAGS="-L${LOCALBASE}/lib"
-LIB_DEPENDS+=  pcre.0:${PORTSDIR}/devel/pcre
-.endif
-
-pre-everything::
-.if !defined(WITH_XINERAMA)
-	@${ECHO_CMD} "To enable xinerama support define WITH_XINERAMA"
-.endif
-.if !defined(WITH_HARBOUR)
-	@${ECHO_CMD} "To enable basic DockApp support define WITH_HARBOUR"
-.endif
-.if !defined(WITH_PCRE)
-	@${ECHO_CMD} "To enable pcre support define WITH_PCRE"
-.endif
+CONFIGURE_ARGS+=	--enable-shape --disable-xft --disable-xinerama \
+			--disable-debug --enable-menus --enable-keygrabber \
+			--enable-harbour --disable-pcre
 
 MAN1=		pekwm.1
Comment 1 Daichi GOTO freebsd_committer 2003-06-26 08:13:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!